import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import comp202.fall2007.a5.comparator.SongComparator;
import comp202.fall2007.a5.util.Song;


public class ThreadSafePlaylist extends Playlist {
	public ThreadSafePlaylist() {
		super();
	}

	public ThreadSafePlaylist(Playlist playlist) {
		super(playlist);
	}

	public synchronized void add(int index, Song song) {
		super.add(index, song);
	}

	public synchronized boolean add(Song song) {
		return super.add(song);
	}

	public synchronized boolean addAll(ArrayList<Song> songList) {
		return super.addAll(songList);
	}

	public synchronized boolean addAll(Playlist playList) {
		return super.addAll(playList);
	}

	public synchronized boolean addAll(Song[] songArray) {
		return super.addAll(songArray);
	}

	public synchronized void clear() {
		super.clear();
	}

	public synchronized Song get(int index) {
		return super.get(index);
	}

	public synchronized int getSize() {
		return super.getSize();
	}

	public synchronized boolean isEmpty() {
		return super.isEmpty();
	}

	public synchronized ArrayList<String> load(File path, MusicCollection collection)
			throws IOException {
		return super.load(path, collection);
	}

	public synchronized void moveDown(int index, int numberPositions) {
		super.moveDown(index, numberPositions);
	}

	public synchronized void moveUp(int index, int numberPositions) {
		super.moveUp(index, numberPositions);
	}

	public synchronized Song remove(int index) {
		return super.remove(index);
	}

	public synchronized void save(File path) throws IOException {
		super.save(path);
	}

	public synchronized void sort(SongComparator comparator) {
		super.sort(comparator);
	}
}
