

import java.awt.event.ActionListener;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import javax.swing.Timer;

import javazoom.jlgui.basicplayer.BasicController;
import javazoom.jlgui.basicplayer.BasicPlayerEvent;
import javazoom.jlgui.basicplayer.BasicPlayerListener;

public class TimerPlayerListener implements BasicPlayerListener {

	private HashMap<Integer, Timer> eventTimers;

	public TimerPlayerListener(HashMap<Integer, ActionListener> eventListeners) {
		Set<Integer> keySet;
		Timer timer;

		this.eventTimers = new HashMap<Integer, Timer>();
		keySet = eventListeners.keySet();
		for (Integer key : keySet) {
			timer = new Timer(0, eventListeners.get(key));
			timer.setRepeats(false);
			this.eventTimers.put(key, timer);
		}
	}

	public void opened(Object stream, Map properties) {
	}

	public void progress(int bytesRead, long microseconds, byte[] pcmdata,
			Map properties) {
	}

	public void setController(BasicController controller) {
	}

	public void stateUpdated(BasicPlayerEvent event) {
		Timer timer;
		int code = event.getCode();

		timer = this.eventTimers.get(code);
		if (timer != null) {
			timer.start();
		}
	}
}
