package comp202.fall2007.a5.comparator;

abstract class AtomicComparator extends SongComparator {
	protected ComparatorOrder order;
	private String textRepresentation;

	public AtomicComparator(ComparatorOrder order) {
		this.order = order;
		this.textRepresentation = this.getValue() + " ("
				+ this.order.toString() + ")";
	}

	protected abstract String getValue();

	public String toString() {
		return this.textRepresentation;
	}
}
