package comp202.fall2007.a5.comparator;

import comp202.fall2007.a5.util.Song;

class LengthComparator extends AtomicComparator {
	public LengthComparator(ComparatorOrder order) {
		super(order);
	}

	public int compareTo(Song left, Song right) {
		return this.order.compareTo(left.getLength(), right.getLength());
	}

	protected String getValue() {
		return "length";
	}
}
