package comp202.fall2007.a5.filter;

import java.io.File;

import comp202.fall2007.a5.util.Song;

class PathFilter extends SongFilter {
	private File comparisonValue;
	private final String textRepresentation;

	public PathFilter(File comparisonValue) {
		this.comparisonValue = comparisonValue.getAbsoluteFile();
		this.textRepresentation = "path equals \""
				+ this.comparisonValue.getAbsolutePath() + "\"";
	}

	public boolean accept(Song song) {
		File songPath;
		
		songPath = song.getFilePath();
		return this.comparisonValue.equals(songPath.getAbsoluteFile());
	}

	public String toString() {
		return this.textRepresentation;
	}
}
