import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class COMP202TrackInfoPanel extends JPanel implements TrackInfoComponent {
	private static final int NUMBER_INFO_LABELS = 3;
	private static final int ARTIST = 0;
	private static final int TITLE = 1;
	private static final int ALBUM = 2;
	
	private static final String[] INFO_LABELS_TEXT = { "Artist: ", "Title: ",
			"Album: ", };

	private JLabel[] trackInfoLabels;

	public COMP202TrackInfoPanel() {
		this.trackInfoLabels = new JLabel[NUMBER_INFO_LABELS];
		this.setLayout(new GridLayout(this.trackInfoLabels.length, 1));

		for (int i = 0; i < this.trackInfoLabels.length; i++) {
			this.trackInfoLabels[i] = new JLabel(INFO_LABELS_TEXT[i]);
			this.add(this.trackInfoLabels[i]);
		}
	}

	public void clear() {
		for (int i = 0; i < this.trackInfoLabels.length; i++) {
			this.trackInfoLabels[i].setText(INFO_LABELS_TEXT[i]);
		}
	}

	public void set(String title, String artist, String album) {
		this.trackInfoLabels[TITLE].setText(INFO_LABELS_TEXT[TITLE] + title);
		this.trackInfoLabels[ARTIST].setText(INFO_LABELS_TEXT[ARTIST] + artist);
		this.trackInfoLabels[ALBUM].setText(INFO_LABELS_TEXT[ALBUM] + album);
	}
}
