import comp202.fall2007.a5.loader.SongLoaderListener;
import comp202.fall2007.a5.util.Song;

public class MusicCollectionBuilder extends SongLoaderListener {
	private MusicCollection collection;

	public MusicCollectionBuilder() {
		this.collection = null;
	}

	public MusicCollection getCollection() {
		MusicCollection returnedCollection;

		returnedCollection = this.collection;
		this.collection = null;
		return returnedCollection;
	}

	public void finishedLoading() {
	}

	public void loadedSong(Song song) {
		this.collection.add(song);
	}

	public void startedLoading() {
		if (collection == null) {
			this.collection = new MusicCollection();
		} else {
			this.collection.clear();
		}
	}

	public void loadingInterrupted() {
	}
}
