public interface PlayAttributesComponent {
	public static enum SeekState {
		NORMAL, MOVING, SEEKING
	}
	public SeekState getSeekState();

	public boolean isVolumeDisplayEnabled();
	public int getMinimumVolume(); 
	public int getMaximumVolume();
	public int getCurrentVolume();

	public boolean isBalanceDisplayEnabled();
	public int getMinimumAbsoluteBalance();
	public int getMaximumAbsoluteBalance();
	public int getCurrentBalance();
	
	public boolean isTimeDisplayEnabled();
	public void updateState();
}