package comp202.fall2007.a5.comparator;

import comp202.fall2007.a5.util.Song;

class AlbumComparator extends AtomicComparator {
	public AlbumComparator(ComparatorOrder order) {
		super(order);
	}

	public int compareTo(Song left, Song right) {
		return this.order
				.compareToIgnoreCase(left.getAlbum(), right.getAlbum());
	}

	public String getValue() {
		return "album";
	}

}
