package comp202.fall2007.a5.comparator;

import comp202.fall2007.a5.util.Song;

class ArtistComparator extends AtomicComparator {
	public ArtistComparator(ComparatorOrder order) {
		super(order);
	}

	public int compareTo(Song left, Song right) {
		return this.order.compareToIgnoreCase(left.getArtist(), right
				.getArtist());
	}

	protected String getValue() {
		return "artist";
	}

}
