package comp202.fall2007.a5.comparator;

import comp202.fall2007.a5.util.Song;

class PathComparator extends AtomicComparator {
	public PathComparator(ComparatorOrder order) {
		super(order);
	}

	public int compareTo(Song left, Song right) {
		return this.order.compareTo(left.getFilePath(), right.getFilePath());
	}

	protected String getValue() {
		return "path";
	}
}
