package comp202.fall2007.a5.comparator;

import comp202.fall2007.a5.util.Song;

class TitleComparator extends AtomicComparator {
	public TitleComparator(ComparatorOrder order) {
		super(order);
	}

	public int compareTo(Song left, Song right) {
		return this.order
				.compareToIgnoreCase(left.getTitle(), right.getTitle());
	}

	protected String getValue() {
		return "title";
	}
}
