package comp202.fall2007.a5.comparator;

import comp202.fall2007.a5.util.Song;

class TrackComparator extends AtomicComparator {
	public TrackComparator(ComparatorOrder order) {
		super(order);
	}

	public int compareTo(Song left, Song right) {
		return this.order.compareTo(left.getTrackNumber(), right
				.getTrackNumber());
	}

	protected String getValue() {
		return "track";
	}
}
