package comp202.fall2007.a5.filter;

import java.util.ArrayList;

class AndFilter extends MultiFilter {
	public AndFilter(ArrayList<SongFilter> subFilters) {
		super(subFilters);
	}
	
	public AndFilter(SongFilter[] subFilters) {
		super(subFilters);
	}

	protected boolean getInitialValue() {
		return true;
	}

	protected boolean updateValue(boolean left, boolean right) {
		return left && right;
	}

	protected String getOperator() {
		return "AND";
	}
}
