package comp202.fall2007.a5.filter;

import comp202.fall2007.a5.util.Song;

class NotFilter extends SongFilter {
	private SongFilter subFilter;
	private final String textRepresentation;

	public NotFilter(SongFilter subFilter) {
		this.subFilter = subFilter;
		this.textRepresentation = "NOT(" + subFilter.toString() + ")";
	}

	public boolean accept(Song song) {
		return !this.subFilter.accept(song);
	}

	public String toString() {
		return this.textRepresentation;
	}
}
