package comp202.fall2007.a5.filter;

import java.util.ArrayList;

class OrFilter extends MultiFilter {
	public OrFilter(ArrayList<SongFilter> subFilters) {
		super(subFilters);
	}
	
	public OrFilter(SongFilter[] subFilters) {
		super(subFilters);
	}

	protected boolean getInitialValue() {
		return false;
	}

	protected boolean updateValue(boolean left, boolean right) {
		return left || right;
	}

	protected String getOperator() {
		return "OR";
	}
}
