package comp202.fall2007.a5.loader;

import java.io.File;

import comp202.fall2007.a5.util.Song;

public class ConsoleDisplayListener extends SongLoaderListener {
	private int songCount;
	private File rootDirectory;

	public ConsoleDisplayListener(File rootDirectory) {
		this.rootDirectory = rootDirectory;
		this.songCount = 0;
	}

	public void finishedLoading() {
		System.out.println();
		System.out.println("Loaded " + this.songCount + " songs.");
	}

	public void loadedSong(Song song) {
		if (((this.songCount % 80) == 0) && (this.songCount != 0)) {
			System.out.println();
		}

		this.songCount++;
		System.out.print(".");
	}

	public void startedLoading() {
		System.out
				.println("Loading songs from directory " + this.rootDirectory);
	}

	public void loadingInterrupted() {
		System.out.println();
		System.out.println("Loading interrupted after loading " + this.songCount + " songs.");
		
	}
}
